Bug 823515 - [RFE] [OVIRT-CLI] Add CLI invocation capabilities
[RFE] [OVIRT-CLI] Add CLI invocation capabilities
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-cli (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity low
: ---
: 3.4.0
Assigned To: Juan Hernández
bugs@ovirt.org
infra
: FutureFeature
Depends On:
Blocks: 895559
  Show dependency treegraph
 
Reported: 2012-05-21 08:48 EDT by Michael Pasternak
Modified: 2014-10-07 02:26 EDT (History)
8 users (show)

See Also:
Fixed In Version: ovirt-engine-cli-3.4.0.3-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-31 11:03:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-05-21 08:48:53 EDT
Description of problem:

add cli invocation capabilities from the linux shell, i.e:

1. ovirt-shell --connec -l "" -u "" -p "" -x 'comand'
2. credentials persistence mechanism
Comment 1 Michael Pasternak 2012-05-24 07:05:22 EDT
for now this functionality can be achieved via script execution,
see [1] for more details

[1] http://www.ovirt.org/wiki/CLI#Scripting
Comment 2 Itamar Heim 2012-12-18 19:39:59 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 3 Michael Pasternak 2013-01-27 05:56:09 EST
*** Bug 895559 has been marked as a duplicate of this bug. ***
Comment 5 Juan Hernández 2014-01-30 08:46:49 EST
This is avaiable with the -E or --execute-command options, since release 3.4.0.1-1.

Builds containing this fix are available here:

http://jhernand.fedorapeople.org/rpms/ovirt-engine-cli/3.4.0.3-1
Comment 6 Sandro Bonazzola 2014-03-31 11:03:59 EDT
This is an automated message: moving to Closed CURRENT_RELEASE since oVirt 3.4.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.